# Class SimpleDateFormat

java.lang.Object
java.text.Format
java.text.DateFormat
java.text.SimpleDateFormat

All Implemented Interfaces:
  `Cloneable`

public class SimpleDateFormat extends DateFormat
Deprecated.
this class has many issues in iOS and other platforms, please use the L10NManager
A class for parsing and formatting dates with a given pattern, compatible with the Java 6 API.

See Also:
  - http://docs.oracle.com/javase/6/docs/api/java/text/DateFormat.html

- ## Field Summary

  ### Fields inherited from class DateFormat

  `DEFAULT, FULL, LONG, MEDIUM, SHORT`
  Modifier and Type
  Field
  Description
  `static final int`
  `DEFAULT`
  Deprecated.
  Constant for default style (MEDIUM) parsing/formatting pattern.
  `static final int`
  `FULL`
  Deprecated.
  Constant for full style parsing/formatting pattern.
  `static final int`
  `LONG`
  Deprecated.
  Constant for long style parsing/formatting pattern.
  `static final int`
  `MEDIUM`
  Deprecated.
  Constant for medium style parsing/formatting pattern.
  `static final int`
  `SHORT`
  Deprecated.
  Constant for short style parsing/formatting pattern.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SimpleDateFormat()`
  Deprecated.
  Construct a SimpleDateFormat with no pattern.
  `SimpleDateFormat(String pattern)`
  Deprecated.
  Construct a SimpleDateFormat with a given pattern.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `applyPattern(String pattern)`
  Deprecated.
  Apply a new pattern.
  `Object`
  `clone()`
  Deprecated.
  `String`
  `format(Date source)`
  Deprecated.
  Format a given date.
  `DateFormatSymbols`
  `getDateFormatSymbols()`
  Deprecated.
  Get the date format symbols for parsing/formatting textual components of dates in a localization sensitive way.
  `Date`
  `parse(String source)`
  Deprecated.
  NOT IMPLEMENTED - use SimpleDateFormat for parsing instead.
  `void`
  `setDateFormatSymbols(DateFormatSymbols newSymbols)`
  Deprecated.
  Apply new date format symbols for parsing/formatting textual components of dates in a localisation sensitive way.
  `String`
  `toPattern()`
  Deprecated.

  ### Methods inherited from class DateFormat

  `equals, format, getDateInstance, getDateInstance, getDateTimeInstance, getInstance, getTimeInstance, getTimeInstance, hashCode, parseObject`
  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  Deprecated.
  Indicates whether some other object is "equal to" this one.
  `String`
  `format(Object obj)`
  Deprecated.
  Format a given object.
  `static final DateFormat`
  `getDateInstance()`
  Deprecated.
  Get a DateFormat instance with default style for date (SHORT).
  `static final DateFormat`
  `getDateInstance(int style)`
  Deprecated.
  Get a DateFormat instance that uses a given style for dates.
  `static final DateFormat`
  `getDateTimeInstance(int dateStyle, int timeStyle)`
  Deprecated.
  Get a DateFormat instance that uses a given style for dates and times.
  `static final DateFormat`
  `getInstance()`
  Deprecated.
  Get a DateFormat instance with default style for date/time (SHORT/SHORT).
  `static final DateFormat`
  `getTimeInstance()`
  Deprecated.
  Get a DateFormat instance with default style for time (SHORT).
  `static final DateFormat`
  `getTimeInstance(int style)`
  Deprecated.
  Get a DateFormat instance that uses a given style for times.
  `int`
  `hashCode()`
  Deprecated.
  Returns a hash code value for the object.
  `Object`
  `parseObject(String source)`
  Deprecated.
  NOT IMPLEMENTED - use SimpleDateFormat for parsing instead.

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `final Class`
  `getClass()`
  Returns the runtime class of an object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes current thread to wait until another thread invokes the method or the method for this object.
  `final void`
  `wait(long timeout)`
  Causes current thread to wait until either another thread invokes the method or the method for this object, or a specified amount of time has elapsed.
  `final void`
  `wait(long timeout, int nanos)`
  Causes current thread to wait until another thread invokes the method or the method for this object, or some other thread interrupts the current thread, or a certain amount of real time has elapsed.

- ## Constructor Details

  - ### SimpleDateFormat

    public SimpleDateFormat()
    Deprecated.
    Construct a SimpleDateFormat with no pattern.

  - ### SimpleDateFormat

    public SimpleDateFormat(String pattern)
    Deprecated.
    Construct a SimpleDateFormat with a given pattern.
    Parameters:
      `pattern` -

- ## Method Details

  - ### toPattern

    public String toPattern()
    Deprecated.
    Returns:
      the pattern

  - ### getDateFormatSymbols

    public DateFormatSymbols getDateFormatSymbols()
    Deprecated.
    Get the date format symbols for parsing/formatting textual components of dates in a localization sensitive way.
    Returns:
      current symbols.

  - ### setDateFormatSymbols

    public void setDateFormatSymbols(DateFormatSymbols newSymbols)
    Deprecated.
    Apply new date format symbols for parsing/formatting textual components of dates in a localisation sensitive way.
    Parameters:
      `newSymbols` - new format symbols.

  - ### applyPattern

    public void applyPattern(String pattern)
    Deprecated.
    Apply a new pattern.
    Parameters:
      `pattern` - the pattern to set

  - ### clone

    public Object clone()
    Deprecated.
    Overrides:
      `clone` in class `DateFormat`

  - ### format

    public String format(Date source)
    Deprecated.
    Description copied from class: `DateFormat`
    Format a given date.
    Overrides:
      `format` in class `DateFormat`
    Parameters:
      `source` - date to be formatted.
    Returns:
      formatted date.

  - ### parse

    public Date parse(String source) throws ParseException
    Deprecated.
    Description copied from class: `DateFormat`
    NOT IMPLEMENTED - use SimpleDateFormat for parsing instead.
    Overrides:
      `parse` in class `DateFormat`
    Throws:
      `ParseException`